Answered

S2 App version 16 and unsupported iphones

  • 12 February 2024
  • 2 replies
  • 65 views

I run a series of speakers, 3 x Play:3 and a couple of Sonos 1’s and also have a Roam which I am struggling with.

I normally use an iPhone 6s with S2 version 15.  I can’t update this as S2 version 16 won’t work on iOS version 15.

I also have an iPhone 13 running iOS 16 and it is now running S2 version 16.

I foolishly tried to connect my Roam to a hotel network last week and have discovered the hard way that this is not a good thing to try - I don’t like using the Roam as a bluetooth speaker and wanted to stream direct.

My iPhone 13 now says, when I try to re-establish the Roam on the network by adding it, that I have to upgrade.

As my speakers are showing “SONOS OS: S2” and “Version: 15.11” I assume it wants me to update the speakers to 16.

If I do this will my iPhone 6s running S2 version 15 then not be able to control my various speakers?

icon

Best answer by Ken_Griffiths 13 February 2024, 01:02

View original

2 replies

See this link: 

https://support.sonos.com/en-us/article/using-sonos-with-unsupported-operating-systems

I read this as… anything older than iOS 14 will not work with S2. Anything between iOS 14 - 16 will have limited functionality, enough control just for playback, but no system admin. 

Any device with iOS 16, or higher, has full functionality.

I don’t have such an old iOS device to help test these things, but you could probably get a definitive answer to this matter from Sonos Support Staff. You can contact them via this link:

https://support.sonos.com/s/contact

Userlevel 7
Badge +22

If you use a Travel Router in the hotel you’ll not have issues using any Sonos there.

Reply